
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '~@angular/material' as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$fcgi-client-primary: mat.define-palette(mat.$indigo-palette);
$fcgi-client-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$fcgi-client-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$fcgi-client-theme: mat.define-light-theme((
  color: (
    primary: $fcgi-client-primary,
    accent: $fcgi-client-accent,
    warn: $fcgi-client-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($fcgi-client-theme);

/* You can add global styles to this file, and also import other style files */

html, body { height: 100%; overflow-x: hidden; }
body { margin: 0 auto; font-family: Roboto, "Helvetica Neue", sans-serif; }

.main-wrapper {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  margin-top: 50px;
  margin-bottom: 50px;
}
